MessagesPresentTag (Struts 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.logic
Class MessagesPresentTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.apache.struts.taglib.logic.ConditionalTagBase
              org.apache.struts.taglib.logic.MessagesPresentTag

All Implemented Interfaces:
  Serializable, IterationTag, Tag

Direct Known Subclasses:
  ELMessagesPresentTag, MessagesNotPresentTag, NestedMessagesPresentTag

    public class MessagesPresentTag

extends ConditionalTagBase

Evalute to `true` if an `ActionMessages` class or a class that can be converted to an `ActionMessages` class is in request scope under the specified key and there is at least one message in the class or for the property specified.

Since:
  Struts 1.1
Version:
  $Rev: 471754 $ $Date: 2005-11-19 12:36:20 -0500 (Sat, 19 Nov 2005) $
See Also:
  Serialized Form

Field Summary
`protected String` | `message` If this is set to 'true', then the `Globals.MESSAGE_KEY` will be used to retrieve the messages from scope.

Fields inherited from class org.apache.struts.taglib.logic.ConditionalTagBase
`cookie, header, messages, name, parameter, property, role, scope, user`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`MessagesPresentTag()`

Method Summary
`protected boolean` | `condition()` Evaluate the condition that is being tested by this particular tag, and return `true` if the nested body content of this tag should be evaluated, or `false` if it should be skipped.
`protected boolean` | `condition(boolean desired)` Evaluate the condition that is being tested by this particular tag, and return `true` if there is at least one message in the class or for the property specified.
`String` | `getMessage()`
`void` | `release()` Release all allocated resources.
`void` | `setMessage(String message)`

Methods inherited from class org.apache.struts.taglib.logic.ConditionalTagBase
`doEndTag, doStartTag, getCookie, getHeader, getName, getParameter, getProperty, getRole, getScope, getUser, setCookie, setHeader, setName, setParameter, setProperty, setRole, setScope, setUser`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### message

    protected String message

  If this is set to 'true', then the `Globals.MESSAGE_KEY` will be used to retrieve the messages from scope.

Constructor Detail

### MessagesPresentTag

    public MessagesPresentTag()

Method Detail

### getMessage

    public String getMessage()

### setMessage

    public void setMessage(String message)

### condition

    protected boolean condition()
                         throws JspException

  Evaluate the condition that is being tested by this particular tag, and return `true` if the nested body content of this tag should be evaluated, or `false` if it should be skipped.

  Specified by:
    `condition` in class `ConditionalTagBase`
  Throws:
    `JspException` - if a JSP exception occurs

### condition

    protected boolean condition(boolean desired)
                         throws JspException

  Evaluate the condition that is being tested by this particular tag, and return `true` if there is at least one message in the class or for the property specified.

  Parameters:
    `desired` - Desired outcome for a true result
  Throws:
    `JspException` - if a JSP exception occurs

### release

    public void release()

  Release all allocated resources.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `ConditionalTagBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.